Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.model
[Java] Interface ValueModel

    public interface ValueModel

Represents a model of a value

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`java.lang.Class` | `getType()`
`java.lang.Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `setValue(java.lang.Object value)`

Method Detail

### getType

    public java.lang.Class getType()

### getValue

    public java.lang.Object getValue()

### isEditable

    public boolean isEditable()

### setValue

    public void setValue(java.lang.Object value)

Groovy Documentation